Bug 972950 - [RFE] The ISO sync progress report should include user-friendly error messages instead of machine friendly messages
Summary: [RFE] The ISO sync progress report should include user-friendly error message...
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: iso-support (Show other bugs)
(Show other bugs)
Version: 2.2 Beta
Hardware: Unspecified Unspecified
low
low
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: Preethi Thomas
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-10 21:33 UTC by Randy Barlow
Modified: 2015-02-28 23:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-19 01:11:13 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 195 None None None Never

Description Randy Barlow 2013-06-10 21:33:01 UTC
The ISO sync progress report includes Nectar's error_report dictionary structure when things go wrong with a download. This is not friendly for users, so we'll need something that includes a more human-friendly error message.

I have a hard time deciding whether this change should just be CLI-side, or whether the Pulp API should include human friendly error messages.

Comment 1 Jay Dobies 2013-06-12 13:57:23 UTC
+1 to the former. The APIs should provide programmer-friendly error descriptions so the client (ours or Katello) can easily understand what the issue was and choose how to handle/display it.

Comment 2 Brian Bouterse 2015-02-19 01:11:13 UTC
Moved to https://pulp.plan.io/issues/195


Note You need to log in before you can comment on or make changes to this bug.